-- Author      : Skylar State
-- Last Updated : 7/16/2012 01:45 AM

local SkyUI = SkyUI
local SkyBaseClass = SkyBaseClass
local SkyPartyFrame = SkyUI_CreateClass(SkyBaseClass)
local cfg = SkyUI.Config.PartyFrames
--SkyUI.


function SkyPartyFrame.prototype:init(partyNumber)
SkyUI["party" .. partyNumber] = self;

local frameSpec = SkyUI.Specs.PartyFrames.Frames["Party" .. partyNumber]

 self.Name = "party" .. partyNumber
 self.RT = frameSpec.RT
 self.X = frameSpec.X
 self.Y = frameSpec.Y
 self.W = frameSpec.W
 self.H = frameSpec.H
 self.T = SkyUI.Specs.PartyFrames.Textures

 self.TS = SkyUI.Specs.PartyFrames.TextureSheet
 self.tO = SkyUI.Specs.PartyFrames.TextureOffset
  
 self:CreateFrame()

 self:AddTextures()
 self:AddText()

 self.F:SetAttribute("unit", "party" .. partyNumber)

 self.F:SetScript("OnUpdate", self.Update)
 self:OnConfigUpdated()

end


-- local u = self.F:GetAttribute("unit")


function SkyPartyFrame.prototype:OnConfigUpdated()

end

function SkyPartyFrame.prototype:Update()

end

SkyUI.Modules.PartyFrames.OnConfigUpdated = function()
 if SkyUI.Modules.PartyFrames.Enabled == false then return true end
 for i=1,5 do SkyUI["party" .. i]:OnConfigUpdated() end
 
-- local frameSpec = SkyUI.Specs.ComboPoints.Frames.Combo
-- local newX, newY = cfg.UI.OffsetX, cfg.UI.OffsetY
-- SkyUI.combopoints.F:SetPoint(SkyUI.combopoints.RT, frameSpec.X + newX, frameSpec.Y + newY)
end



local function EventManager(self, evt, unit, arg1, arg2, arg3)



end





function SkyPartyFrame.prototype:Enable()
 self:Show()
end

function SkyPartyFrame.prototype:Disable()
 self:Hide()
end

local evt

SkyUI.Modules.PartyFrames.Enable = function()
 if SkyUI.Modules.PartyFrames.Enabled or SkyUI.Specs.PartyFrames.Enabled == false then return true end
 cfg.UI.Enabled = true
 SkyUI.Modules.PartyFrames.Enabled = true

 if not evt then evt = CreateFrame("Frame") end
 
 for i=1,5 do if SkyUI["party" .. i] then SkyUI["party" .. i]:Enable() else SkyPartyFrame:new(i) end end
 
 evt:SetScript("OnEvent", EventManager)
 
 evt:RegisterEvent("UNIT_DISPLAYPOWER")
 evt:RegisterEvent("UNIT_HEALTH")
 evt:RegisterEvent("UNIT_POWER")
 evt:RegisterEvent("UNIT_MAXHEALTH")
 evt:RegisterEvent("UNIT_MAXPOWER")
 evt:RegisterEvent("UNIT_PORTRAIT_UPDATE")
 evt:RegisterEvent("UNIT_HEAL_PREDICTION")
 
-- RegisterStateDriver(ComboFrame, "visibility", "hide")
 
-- SkyUI.player:AuraUpdates()
end

SkyUI.Modules.PartyFrames.Disable = function()
 if not SkyUI.Modules.PartyFrames.Enabled then return true end
 cfg.UI.Enabled = false
 SkyUI.Modules.PartyFrames.Enabled = false
 
 for i=1,5 do if SkyUI["party" .. i] then SkyUI["party" .. i]:Disable() end end
 
 evt:SetScript("OnEvent", nil)

-- UnregisterStateDriver(ComboFrame, "visibility")
end




--ComboFrame:Hide()
--ComboFrame:UnregisterAllEvents()






